(:: pragma bea:global-element-parameter parameter="$getAllKlantenResponse1" element="ns0:getAllKlantenResponse" location="../business/wsdl/KlantWebService.xsd" ::)
(:: pragma bea:global-element-return element="ns1:GetAllCustomersResponse" location="../proxy/wsdl/CustomerCDM.xsd" ::)

declare namespace ns1 = "http://www.waai.nl/cdm/customer";
declare namespace ns0 = "http://www.waai.nl/klant/service";
declare namespace xf = "http://tempuri.org/WAAI_Case1_Customer_Service/xquery/GetAllKlantenToGetAllCustomersResponse/";

declare function xf:GetAllKlantenToGetAllCustomersResponse($getAllKlantenResponse1 as element(ns0:getAllKlantenResponse))
    as element(ns1:GetAllCustomersResponse) {
        <ns1:GetAllCustomersResponse>
            {
                for $return in $getAllKlantenResponse1/return
                return
                    <ns1:Customer>
                        <ns1:customerId>{ xs:nonNegativeInteger(data($return/klantId)) }</ns1:customerId>
                        <ns1:firstName>{ data($return/voornaam) }</ns1:firstName>
                        <ns1:lastName>{ data($return/achternaam) }</ns1:lastName>
                        <ns1:age>{ xs:nonNegativeInteger(data($return/leeftijd)) }</ns1:age>
                    </ns1:Customer>
            }
        </ns1:GetAllCustomersResponse>
};

declare variable $getAllKlantenResponse1 as element(ns0:getAllKlantenResponse) external;

xf:GetAllKlantenToGetAllCustomersResponse($getAllKlantenResponse1)
