(:: pragma bea:mfl-element-parameter parameter="$mailToCustomer1" type="MailToCustomer@" location="../MailToCustomer.mfl" ::)
(:: pragma bea:global-element-return element="ns0:AddCustomerRequest" location="../../WAAI_Case1_Customer_Service/proxy/wsdl/CustomerCDM.xsd" ::)

declare namespace ns0 = "http://www.waai.nl/cdm/customer";
declare namespace xf = "http://tempuri.org/WAAI_Case2_CreateCustomer_Service/xquery/MailtoAddCustomer/";

declare function xf:MailtoAddCustomer($mailToCustomer1 as element())
    as element(ns0:AddCustomerRequest) {
        <ns0:AddCustomerRequest>
            <ns0:Customer>
                <ns0:customerId>{ xs:nonNegativeInteger(data($mailToCustomer1/customerId)) }</ns0:customerId>
                <ns0:firstName>{ data($mailToCustomer1/firstName) }</ns0:firstName>
                <ns0:lastName>{ data($mailToCustomer1/lastName) }</ns0:lastName>
                <ns0:age>{ xs:nonNegativeInteger(data($mailToCustomer1/age)) }</ns0:age>
            </ns0:Customer>
        </ns0:AddCustomerRequest>
};

declare variable $mailToCustomer1 as element() external;

xf:MailtoAddCustomer($mailToCustomer1)
