package nl.waai.klant.services;

import java.util.ArrayList;
import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import nl.waai.klant.entities.Klant;

/**
 * 
 * @author WAAI
 */
@WebService(
			name = "KlantWebService", 
			serviceName = "KlantWebService", 
			targetNamespace = "http://www.waai.nl/klant/service")
public class KlantService {
	/*
	 * 
	 */
	@WebMethod
	public String addKlant(
			@WebParam(name="klant", targetNamespace="http://www.waai.nl/klant") Klant klant 
		   ) {
		System.out.println("Opvoeren klant");
		System.out.println("--------------");
		System.out.println("Klant id : " + klant.getKlantId());
		System.out.println("Voornaam : " + klant.getVoornaam());
		System.out.println("Achternaam : " + klant.getAchternaam());
		System.out.println("Leeftijd : " + klant.getLeeftijd());
		
		return "Klant toegevoegd";
	}

	/**
	 * 
	 * @param id
	 * @return
	 */
	@WebMethod
	public Klant getKlantById(
			@WebParam(name = "klantId", targetNamespace = "http://www.waai.nl/klant")
			Long klantId) {
		
		Klant klant = new Klant();
		
		klant.setLeeftijd(38);
		klant.setVoornaam("John");
		klant.setAchternaam("Doe");
		klant.setKlantId(1L);
		
		return klant;
	}
	
	/**
	 * 
	 * @return
	 */
	@WebMethod
	public List<Klant> getAllKlanten() {
		
		List<Klant> klanten = new ArrayList<Klant>();
		
		Klant klant1 = new Klant();
		
		klant1.setLeeftijd(38);
		klant1.setVoornaam("John");
		klant1.setAchternaam("Doe");
		klant1.setKlantId(1L);
		
		Klant klant2 = new Klant();
		
		klant2.setLeeftijd(24);
		klant2.setVoornaam("Jane");
		klant2.setAchternaam("Doe");
		klant2.setKlantId(2L);
		
		klanten.add(klant1);
		klanten.add(klant2);
		
		return klanten;
	}
}
