(:: pragma bea:global-element-parameter parameter="$addCustomerRequest1" element="ns2:AddCustomerRequest" location="../proxy/wsdl/CustomerCDM.xsd" ::)
(:: pragma bea:global-element-return element="ns0:addKlant" location="../business/wsdl/KlantWebService.xsd" ::)

declare namespace ns2 = "http://www.waai.nl/cdm/customer";
declare namespace ns1 = "http://www.waai.nl/klant";
declare namespace ns0 = "http://www.waai.nl/klant/service";
declare namespace xf = "http://tempuri.org/WAAI_Case1_Customer_Service/xquery/AddCustomerRequestToAddKlant/";

declare function xf:AddCustomerRequestToAddKlant($addCustomerRequest1 as element(ns2:AddCustomerRequest))
    as element(ns0:addKlant) {
        <ns0:addKlant>
            <ns1:klant>               
                <achternaam>{ data($addCustomerRequest1/ns2:Customer/ns2:lastName) }</achternaam>
                <klantId>{ xs:long(data($addCustomerRequest1/ns2:Customer/ns2:customerId)) }</klantId>
                <leeftijd>{ xs:int(data($addCustomerRequest1/ns2:Customer/ns2:age)) }</leeftijd>
                <voornaam>{ data($addCustomerRequest1/ns2:Customer/ns2:firstName) }</voornaam>
            </ns1:klant>
        </ns0:addKlant>
};

declare variable $addCustomerRequest1 as element(ns2:AddCustomerRequest) external;

xf:AddCustomerRequestToAddKlant($addCustomerRequest1)