package nl.waai.mail;

import javax.mail.*;
import javax.mail.internet.*;
import java.util.*;

public class MailClient {

	public static void main(String[] args) {
		try {
			
			String smtpServer="localhost";
			String to="waai@mydomain.com";
			String from="mailclient@mydomain.com";
			String subject="Opvoeren klant";
			String body= "10;Eric;De Jong;10";
			// klantid,voornaam,achternaam,leeftijd	
			
			Properties props = System.getProperties();

			props.put("mail.smtp.host", smtpServer);
			Session session = Session.getDefaultInstance(props, null);

			Message msg = new MimeMessage(session);
			msg.setFrom(new InternetAddress(from));
			msg.setRecipients(Message.RecipientType.TO, InternetAddress.parse(to, false));
			msg.setSubject(subject);
			msg.setText(body);

			// Set some other header information for who sent this email
			msg.setHeader("X-Mailer", "MailClient");
			msg.setSentDate(new Date());
			Transport.send(msg);
			System.out.println("Message sent OK.");
			System.out.println("Body = " + body);
	    } catch (Exception ex) {
	      ex.printStackTrace();
	    }
		

	}

}
